CVE Vulnerabilities

CVE-2004-0165

Published: Mar 15, 2004 | Modified: Oct 10, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
5 MEDIUM
AV:N/AC:L/Au:N/C:P/I:N/A:N
RedHat/V2
RedHat/V3
Ubuntu

Format string vulnerability in Point-to-Point Protocol (PPP) daemon (pppd) 2.4.0 for Mac OS X 10.3.2 and earlier allows remote attackers to read arbitrary pppd process data, including PAP or CHAP authentication credentials, to gain privileges.

Affected Software

Name Vendor Start Version End Version
Mac_os_x Apple 10.1 10.1
Mac_os_x Apple 10.1.1 10.1.1
Mac_os_x Apple 10.1.2 10.1.2
Mac_os_x Apple 10.1.3 10.1.3
Mac_os_x Apple 10.1.4 10.1.4
Mac_os_x Apple 10.1.5 10.1.5
Mac_os_x Apple 10.2 10.2
Mac_os_x Apple 10.2.1 10.2.1
Mac_os_x Apple 10.2.2 10.2.2
Mac_os_x Apple 10.2.3 10.2.3
Mac_os_x Apple 10.2.4 10.2.4
Mac_os_x Apple 10.2.5 10.2.5
Mac_os_x Apple 10.2.6 10.2.6
Mac_os_x Apple 10.2.7 10.2.7
Mac_os_x Apple 10.2.8 10.2.8
Mac_os_x Apple 10.3 10.3
Mac_os_x Apple 10.3.1 10.3.1
Mac_os_x Apple 10.3.2 10.3.2
Mac_os_x_server Apple 10.1 10.1
Mac_os_x_server Apple 10.1.1 10.1.1
Mac_os_x_server Apple 10.1.2 10.1.2
Mac_os_x_server Apple 10.1.3 10.1.3
Mac_os_x_server Apple 10.1.4 10.1.4
Mac_os_x_server Apple 10.1.5 10.1.5
Mac_os_x_server Apple 10.2 10.2
Mac_os_x_server Apple 10.2.1 10.2.1
Mac_os_x_server Apple 10.2.2 10.2.2
Mac_os_x_server Apple 10.2.3 10.2.3
Mac_os_x_server Apple 10.2.4 10.2.4
Mac_os_x_server Apple 10.2.5 10.2.5
Mac_os_x_server Apple 10.2.6 10.2.6
Mac_os_x_server Apple 10.2.7 10.2.7
Mac_os_x_server Apple 10.2.8 10.2.8
Mac_os_x_server Apple 10.3 10.3
Mac_os_x_server Apple 10.3.1 10.3.1
Mac_os_x_server Apple 10.3.2 10.3.2

References